AUDIT_SET_RATE_LIMIT(3)

NAME
audit_set_rate_limit - Set audit rate limit

SYNOPSIS
#include <libaudit.h>

int audit_set_rate_limit(int fd, uint32_t limit);"

DESCRIPTION

audit_set_rate_limit will set the maximum number of messages that the kernel will send per second. This can be used to throttle the rate if systems become unresponsive. Of course the trade off is that events will be dropped. The limit argument controls how many messages may be sent each second. The default value is 0, meaning no limit.

RETURN VALUE

The return value is <= 0 on error, otherwise it is the netlink sequence id number. This function can have any error that sendto would encounter.

SEE ALSO

audit_open(3), auditd(8).

AUTHOR
Steve Grubb